*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 03401
*          SUBSTANCE ABUSE TREATMENT COST ALLOCATION AND ANALYSIS
*                   TEMPLATE (SATCAAT) STUDY, 1992-1994
*                (DATASET 0002: SDU COST DATA -- ALL SDUS)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\03401-0002-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da03401-0002.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=837.
DATA LIST FILE=DATA /
              CASEID 1-3              SDUNUM 4-7            PROVIDER 8-9
             SDUFOCUS 10           SDUTYPE 11-12             FYEND 13-14
           NUMCLNT 15-17           TOTCOST 18-24            TOTAFT 25-29
           TOTCNET 30-35             TOTCH 36-41           TOTCLED 42-46
           TOTTRAN 47-52            TOTHIV 53-57             TOTHM 58-63
           TOTHOUS 64-69           TOTIASS 70-74            TOTMDS 75-80
            TOTMES 81-86           TOTMHGC 87-91           TOTMHIC 92-96
          TOTPEVL 97-102          TOTPSE 103-108         TOTRMGT 109-114
         TOTSAGC 115-120         TOTSAIC 121-126         TOTSTED 127-131
          UNAFT1 132-135          UNAFT3 136-137          UNAFT7 138-139
         UNAFT10 140-143         UNAFT12 144-145         UNCNET4 146-147
         UNCNET7 148-149         UNCNET9 150-153        UNCNET10 154-157
        UNCNET16 158-159        UNCNET20 160-161        UNCNET21 162-165
        UNCNET31 166-167           UNCH5 168-170         UNCLED7 171-173
        UNTRAN16 174-175        UNTRAN29 176-177        UNTRAN31 178-179
         UNTRAN7 180-183         UNTRAN8 184-187          UNHIV7 188-190
         UNHIV22 191-193         UNHIV23 194-195         UNHIV28 196-197
          UNHM16 198-199          UNHM18 200-204          UNHM19 205-208
        UNHOUS18 209-213         UNIASS2 214-216        UNIASS31 217-218
          UNMDS4 219-220          UNMDS7 221-224         UNMDS24 225-227
         UNMDS25 228-230         UNMDS26 231-232         UNMDS31 233-234
         UNMES15 235-237         UNMES16 238-239         UNMES31 240-241
         UNMHGC8 242-243        UNMHGC11 244-246         UNMHIC8 247-248
        UNMHIC11 249-252          UNPEV7 253-255         UNPSE13 256-258
         UNPSE14 259-261         UNPSE15 262-263         UNPSE16 264-265
         UNPSE31 266-267         UNRMGT4 268-270         UNRMGT7 271-272
        UNRMGT31 273-274         UNSAGC8 275-278        UNSAGC11 279-282
        UNSAGC27 283-286        UNSAGC31 287-290         UNSAIC8 291-294
        UNSAIC11 295-299        UNSAIC27 300-303        UNSAIC31 304-308
         UNSTED7 309-311        UNSTED16 312-314        UNSTED17 315-317
        UNSTED31 318-319      UCAFT1 320-325 (2)      UCAFT3 326-332 (2)
      UCAFT7 333-338 (2)     UCAFT10 339-345 (2)     UCAFT12 346-352 (2)
     UCCNET4 353-358 (2)     UCCNET7 359-365 (2)     UCCNET9 366-370 (2)
    UCCNET10 371-377 (2)    UCCNET16 378-383 (2)    UCCNET20 384-390 (2)
    UCCNET21 391-395 (2)    UCCNET31 396-402 (2)       UCCH5 403-410 (2)
     UCCLED7 411-417 (2)     UCTRAN7 418-424 (2)     UCTRAN8 425-431 (2)
    UCTRAN16 432-437 (2)    UCTRAN29 438-444 (2)    UCTRAN31 445-451 (2)
     UCHIV22 452-456 (2)     UCHIV23 457-461 (1)     UCHIV28 462-466 (2)
      UCHIV7 467-472 (2)          UCHM16 473-474      UCHM18 475-480 (2)
      UCHM19 481-485 (2)    UCHOUS18 486-491 (2)     UCIASS2 492-498 (2)
    UCIASS31 499-503 (2)      UCMDS4 504-510 (2)      UCMDS7 511-517 (2)
     UCMDS24 518-522 (2)     UCMDS25 523-527 (2)     UCMDS26 528-533 (2)
     UCMDS31 534-540 (2)     UCMES15 541-546 (2)     UCMES16 547-552 (2)
     UCMES31 553-558 (2)    UCMHGC11 559-563 (2)    UCMHIC11 564-569 (2)
      UCPEV7 570-576 (2)     UCPSE13 577-583 (2)     UCPSE14 584-590 (2)
     UCPSE15 591-595 (2)     UCPSE16 596-601 (2)     UCPSE31 602-607 (2)
     UCRMGT4 608-615 (2)     UCRMGT7 616-622 (2)    UCRMGT31 623-629 (2)
     UCSAGC8 630-635 (2)    UCSAGC11 636-641 (2)    UCSAGC27 642-646 (2)
    UCSAGC31 647-651 (2)     UCSAIC8 652-657 (2)    UCSAIC11 658-663 (2)
    UCSAIC27 664-668 (2)        UCSAIC31 669-670     UCSTED7 671-677 (2)
    UCSTED16 678-683 (2)    UCSTED17 684-690 (2)    UCSTED31 691-696 (2)
     CSTPRCL 697-704 (2)      AVGAFT 705-711 (2)     AVGCNET 712-718 (2)
       AVGCH 719-726 (2)     AVGCLED 727-733 (2)     AVGTRAN 734-740 (2)
      AVGHIV 741-746 (2)       AVGHM 747-753 (2)     AVGHOUS 754-761 (2)
     AVGIASS 762-768 (2)      AVGMDS 769-775 (2)      AVGMES 776-781 (2)
     AVGMHGC 782-787 (2)     AVGMHIC 788-794 (2)     AVGPEVL 795-801 (2)
      AVGPSE 802-808 (2)     AVGRMGT 809-816 (2)     AVGSAGC 817-823 (2)
     AVGSAIC 824-830 (2)     AVGSTED 831-837 (2)
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   SDUNUM    'SERVICE DELIVER UNIT IDENTIFICATION NUMBER' /
   PROVIDER  'PROVIDER IDENTIFICATION NUMBER' /
   SDUFOCUS  'SERVICE DELIVERY UNIT FOCUS' /
   SDUTYPE   'SERVICE DELIVERY UNIT TYPE' /
   FYEND     'FISCAL YEAR ENDING' /
   NUMCLNT   'SDU NUMBER OF CLIENTS' /
   TOTCOST   'TOTAL SDU COST' /
   TOTAFT    'AFTERCARE SVC-TOTAL SDU COST' /
   TOTCNET   'CASE MGT/NETWRK SVC-TOTAL SDU COST' /
   TOTCH     'CHILD CARE SVC-TOTAL SDU COST' /
   TOTCLED   'CLIENT EDUC SVC-TOTAL SDU COST' /
   TOTTRAN   'CLIENT TRANSPORT SVC-TOTAL SDU COST' /
   TOTHIV    'HIV TEST & COUNSEL SVC-TOTAL SDU COST' /
   TOTHM     'HOUSING & MEAL SVC-TOTAL SDU COST' /
   TOTHOUS   'HOUSING SVC-TOTAL SDU COST' /
   TOTIASS   'INITIAL ASSESSMT SVC-TOTAL SDU COST' /
   TOTMDS    'MED & DIAG SVC-TOTAL SDU COST' /
   TOTMES    'MEDICAL EXAM SVC-TOTAL SDU COST' /
   TOTMHGC   'MH GROUP COUNSEL SVC-TOTAL SDU COST' /
   TOTMHIC   'MH INDIV COUNSEL SVC-TOTAL SDU COST' /
   TOTPEVL   'PROJECT EVAL SVC-TOTAL SDU COST' /
   TOTPSE    'PSYCHOSOCIAL EVAL SVC-TOTAL SDU COST' /
   TOTRMGT   'RECORDS MGT SVC-TOTAL SDU COST' /
   TOTSAGC   'SA GROUP COUNSEL SVC-TOTAL SDU COST' /
   TOTSAIC   'SA INDIV COUNSEL SVC-TOTAL SDU COST' /
   TOTSTED   'STAFF EDUC SVC-TOTAL SDU COST' /
   UNAFT1    'AFTERCARE SVC-TOTAL A/CC CONTACT HRS' /
   UNAFT3    'AFTERCARE SVC-TOTAL CASES' /
   UNAFT7    'AFTERCARE SVC-TOTAL CLIENTS REC THIS SVC' /
   UNAFT10   'AFTERCARE SVC-TOTAL CONTACTS' /
   UNAFT12   'AFTERCARE SVC-TOTAL DISCHARGES' /
   UNCNET4   'CASE MGT/NETWRK SVC-TOTAL CASES REC THIS SVC' /
   UNCNET7   'CASE MGT/NETWRK SVC-TOTAL CLIENTS REC THIS SVC' /
   UNCNET9   'CASE MGT/NETWRK SVC-TOTAL CONTACT HOURS' /
   UNCNET10  'CASE MGT/NETWRK SVC-TOTAL CONTACTS' /
   UNCNET16  'CASE MGT/NETWRK SVC-TOTAL HOURS' /
   UNCNET20  'CASE MGT/NETWRK SVC-TOTAL NETWORKING CASES' /
   UNCNET21  'CASE MGT/NETWRK SVC-TOTAL NETWORKING HOURS' /
   UNCNET31  'CASE MGT/NETWRK SVC-TOTAL UNIT NOT SPECIFIED' /
   UNCH5     'CHILD CARE SVC-TOTAL CHILDREN' /
   UNCLED7   'CLIENT EDUC SVC-TOTAL CLIENTS REC THIS SVC' /
   UNTRAN16  'CLIENT TRANSPORT SVC-TOTAL HOURS' /
   UNTRAN29  'CLIENT TRANSPORT SVC-TOTAL TRIPS/CLIENTS' /
   UNTRAN31  'CLIENT TRANSPORT SVC-TOTAL UNIT NOT SPECIFIED' /
   UNTRAN7   'CLIENT TRANSPORT SVC-TOTAL CLIENTS REC THIS SVC' /
   UNTRAN8   'CLIENT TRANSPORT SVC-TOTAL CONSULTING HOURS' /
   UNHIV7    'HIV TEST & COUNSEL SVC-TOTAL CLIENTS REC THIS SVC' /
   UNHIV22   'HIV TEST & COUNSEL SVC-TOTAL REFERRALS' /
   UNHIV23   'HIV TEST & COUNSEL SVC-TOTAL RISK ASSESSMENTS' /
   UNHIV28   'HIV TEST & COUNSEL SVC-TOTAL TESTS/CLIENTS' /
   UNHM16    'HOUSING & MEAL SVC-TOTAL HOURS' /
   UNHM18    'HOUSING & MEAL SVC-TOTAL INPATIENT DAYS' /
   UNHM19    'HOUSING & MEAL SVC-TOTAL MEALS' /
   UNHOUS18  'HOUSING SVC-TOTAL INPATIENT DAYS' /
   UNIASS2   'INITIAL ASSESSMT SVC-TOTAL ASSESSMENTS' /
   UNIASS31  'INITIAL ASSESSMT SVC-TOTAL UNIT NOT SPECIFIED' /
   UNMDS4    'MED & DIAG SVC-TOTAL CASES REC THIS SVC' /
   UNMDS7    'MED & DIAG SVC-TOTAL CLIENTS REC THIS SVC' /
   UNMDS24   'MED & DIAG SVC-TOTAL SERVICES' /
   UNMDS25   'MED & DIAG SVC-TOTAL SERVICES HOURS' /
   UNMDS26   'MED & DIAG SVC-TOTAL SERVICES/CLIENTS' /
   UNMDS31   'MED & DIAG SVC-TOTAL UNIT NOT SPECIFIED' /
   UNMES15   'MEDICAL EXAM SVC-TOTAL EXAMS' /
   UNMES16   'MEDICAL EXAM SVC-TOTAL HOURS' /
   UNMES31   'MEDICAL EXAM SVC-TOTAL UNIT NOT SPECIFIED' /
   UNMHGC8   'MH GROUP COUNSEL SVC-TOTAL CONSULTING HOURS' /
   UNMHGC11  'MH GROUP COUNSEL SVC-TOTAL COUNSELING HRS' /
   UNMHIC8   'MH INDIV COUNSEL SVC-TOTAL CONSULTING HOURS' /
   UNMHIC11  'MH INDIV COUNSEL SVC-TOTAL COUNSELING HRS' /
   UNPEV7    'PROJECT EVAL SVC-TOTAL UNITS (W/CLIENTS AS UNITS)' /
   UNPSE13   'PSYCHOSOCIAL EVAL SVC-TOTAL EVALUATION HOURS' /
   UNPSE14   'PSYCHOSOCIAL EVAL SVC-TOTAL EVALUATIONS' /
   UNPSE15   'PSYCHOSOCIAL EVAL SVC-TOTAL EXAMS' /
   UNPSE16   'PSYCHOSOCIAL EVAL SVC-TOTAL HOURS' /
   UNPSE31   'PSYCHOSOCIAL EVAL SVC-TOTAL UNIT NOT SPECIFIED' /
   UNRMGT4   'RECORDS MGT SVC-TOTAL CASES' /
   UNRMGT7   'RECORDS MGT SVC-TOTAL UNITS (W/CLIENTS AS UNITS)' /
   UNRMGT31  'RECORDS MGT SVC-TOTAL UNIT NOT SPECIFIED' /
   UNSAGC8   'SA GROUP COUNSEL SVC-TOTAL CONSULTING HOURS' /
   UNSAGC11  'SA GROUP COUNSEL SVC-TOTAL COUNSELING HRS' /
   UNSAGC27  'SA GROUP COUNSEL SVC-TOTAL STAFF COUNSELING HOURS' /
   UNSAGC31  'SA GROUP COUNSEL SVC-TOTAL UNIT NOT SPECIFIED' /
   UNSAIC8   'SA INDIV COUNSEL SVC-TOTAL CONSULTING HOURS' /
   UNSAIC11  'SA INDIV COUNSEL SVC-TOTAL COUNSELING HRS' /
   UNSAIC27  'SA INDIV COUNSEL SVC-TOTAL STAFF COUNSELING HOURS' /
   UNSAIC31  'SA INDIV COUNSEL SVC-TOTAL UNIT NOT SPECIFIED' /
   UNSTED7   'STAFF EDUC SVC-TOTAL UNITS (W/CLIENTS AS UNITS)' /
   UNSTED16  'STAFF EDUC SVC-TOTAL HOURS' /
   UNSTED17  'STAFF EDUC SVC-TOTAL HOURS/CLIENTS' /
   UNSTED31  'STAFF EDUC SVC-TOTAL UNIT NOT SPECIFIED' /
   UCAFT1    'AFTERCARE SVC-COST PER A/CC CONTACT HR' /
   UCAFT3    'AFTERCARE SVC-COST PER CASE' /
   UCAFT7    'AFTERCARE SVC-COST PER CLIENT REC THIS SVC' /
   UCAFT10   'AFTERCARE SVC-COST PER CONTACT' /
   UCAFT12   'AFTERCARE SVC-COST PER DISCHARGE' /
   UCCNET4   'CASE MGT/NETWRK SVC-COST PER CASE REC THIS SVC' /
   UCCNET7   'CASE MGT/NETWRK SVC-COST PER CLIENT REC THIS SVC' /
   UCCNET9   'CASE MGT/NETWRK SVC-COST PER CONTACT HOUR' /
   UCCNET10  'CASE MGT/NETWRK SVC-COST PER CONTACT' /
   UCCNET16  'CASE MGT/NETWRK SVC-COST PER HOUR' /
   UCCNET20  'CASE MGT/NETWRK SVC-COST PER NETWORKING CASE' /
   UCCNET21  'CASE MGT/NETWRK SVC-COST PER NETWORKING HOUR' /
   UCCNET31  'CASE MGT/NETWRK SVC-COST PER UNIT NOT SPECIFIED' /
   UCCH5     'CHILD CARE SVC-COST PER CHILD' /
   UCCLED7   'CLIENT EDUC SVC-COST PER CLIENT REC THIS SVC' /
   UCTRAN7   'CLIENT TRANSPORT SVC-COST PER CLIENT REC THIS SVC' /
   UCTRAN8   'CLIENT TRANSPORT SVC-COST PER CONSULTING HOUR' /
   UCTRAN16  'CLIENT TRANSPORT SVC-COST PER HOUR' /
   UCTRAN29  'CLIENT TRANSPORT SVC-COST PER TRIP/CLIENT' /
   UCTRAN31  'CLIENT TRANSPORT SVC-COST PER UNIT NOT SPECIFIED' /
   UCHIV22   'HIV TEST & COUNSEL SVC-COST PER REFERRAL' /
   UCHIV23   'HIV TEST & COUNSEL SVC-COST PER RISK ASSESSMENT' /
   UCHIV28   'HIV TEST & COUNSEL SVC-COST PER TEST/CLIENT' /
   UCHIV7    'HIV TEST & COUNSEL SVC-COST PER CLIENT REC THIS SVC' /
   UCHM16    'HOUSING & MEAL SVC-COST PER HOUR' /
   UCHM18    'HOUSING & MEAL SVC-COST PER INPATIENT DAY' /
   UCHM19    'HOUSING & MEAL SVC-COST PER MEAL' /
   UCHOUS18  'HOUSING SVC-COST PER INPATIENT DAY' /
   UCIASS2   'INITIAL ASSESSMT SVC-COST PER ASSESSMENT' /
   UCIASS31  'INITIAL ASSESSMT SVC-COST PER UNIT NOT SPECIFIED' /
   UCMDS4    'MED & DIAG SVC-COST PER CASE REC THIS SVC' /
   UCMDS7    'MED & DIAG SVC-COST PER CLIENT REC THIS SVC' /
   UCMDS24   'MED & DIAG SVC-COST PER SERVICE' /
   UCMDS25   'MED & DIAG SVC-COST PER SERVICE HOUR' /
   UCMDS26   'MED & DIAG SVC-COST PER SERVICE/CLIENT' /
   UCMDS31   'MED & DIAG SVC-COST PER UNIT NOT SPECIFIED' /
   UCMES15   'MEDICAL EXAM SVC-COST PER EXAM' /
   UCMES16   'MEDICAL EXAM SVC-COST PER HOUR' /
   UCMES31   'MEDICAL EXAM SVC-COST PER UNIT NOT SPECIFIED' /
   UCMHGC11  'MH GROUP COUNSEL SVC-COST PER COUNSELING HR' /
   UCMHIC11  'MH INDIV COUNSEL SVC-COST PER COUNSELING HR' /
   UCPEV7    'PROJECT EVAL SVC-COST PER UNIT (W/CLIENTS AS UNITS)' /
   UCPSE13   'PSYCHOSOCIAL EVAL SVC-COST PER EVALUATION HOUR' /
   UCPSE14   'PSYCHOSOCIAL EVAL SVC-COST PER EVALUATION' /
   UCPSE15   'PSYCHOSOCIAL EVAL SVC-COST PER EXAM' /
   UCPSE16   'PSYCHOSOCIAL EVAL SVC-COST PER HOUR' /
   UCPSE31   'PSYCHOSOCIAL EVAL SVC-COST PER UNIT NOT SPECIFIED' /
   UCRMGT4   'RECORDS MGT SVC-COST PER CASE' /
   UCRMGT7   'RECORDS MGT SVC-COST PER UNIT (W/CLIENTS AS UNITS)' /
   UCRMGT31  'RECORDS MGT SVC-COST PER UNIT NOT SPECIFIED' /
   UCSAGC8   'SA GROUP COUNSEL SVC-COST PER CONSULTING HOUR' /
   UCSAGC11  'SA GROUP COUNSEL SVC-COST PER COUNSELING HR' /
   UCSAGC27  'SA GROUP COUNSEL SVC-COST PER STAFF COUNSELING HOUR' /
   UCSAGC31  'SA GROUP COUNSEL SVC-COST PER UNIT NOT SPECIFIED' /
   UCSAIC8   'SA INDIV COUNSEL SVC-COST PER CONSULTING HOUR' /
   UCSAIC11  'SA INDIV COUNSEL SVC-COST PER COUNSELING HR' /
   UCSAIC27  'SA INDIV COUNSEL SVC-COST PER STAFF COUNSELING HOUR' /
   UCSAIC31  'SA INDIV COUNSEL SVC-COST PER UNIT NOT SPECIFIED' /
   UCSTED7   'STAFF EDUC SVC-COST PER UNIT (W/CLIENTS AS UNITS)' /
   UCSTED16  'STAFF EDUC SVC-COST PER HOUR' /
   UCSTED17  'STAFF EDUC SVC-COST PER HOUR/CLIENT' /
   UCSTED31  'STAFF EDUC SVC-COST PER UNIT NOT SPECIFIED' /
   CSTPRCL   'OVERALL SDU COST PER CLIENT' /
   AVGAFT    'AFTERCARE SVC-AVG COST PER CLIENT' /
   AVGCNET   'CASE MGT/NETWRK SVC-AVG COST PER CLIENT' /
   AVGCH     'CHILD CARE SVC-AVG COST PER CLIENT' /
   AVGCLED   'CLIENT EDUC SVC-AVG COST PER CLIENT' /
   AVGTRAN   'CLIENT TRANSPORT SVC-AVG COST PER CLIENT' /
   AVGHIV    'HIV TEST & COUNSEL SVC-AVG COST PER CLIENT' /
   AVGHM     'HOUSING & MEAL SVC-AVG COST PER CLIENT' /
   AVGHOUS   'HOUSING SVC-AVG COST PER CLIENT' /
   AVGIASS   'INITIAL ASSESSMT SVC-AVG COST PER CLIENT' /
   AVGMDS    'MED & DIAG SVC-AVG COST PER CLIENT' /
   AVGMES    'MEDICAL EXAM SVC-AVG COST PER CLIENT' /
   AVGMHGC   'MH GROUP COUNSEL SVC-AVG COST PER CLIENT' /
   AVGMHIC   'MH INDIV COUNSEL SVC-AVG COST PER CLIENT' /
   AVGPEVL   'PROJECT EVAL SVC-AVG COST PER CLIENT' /
   AVGPSE    'PSYCHOSOCIAL EVAL SVC-AVG COST PER CLIENT' /
   AVGRMGT   'RECORDS MGT SVC-AVG COST PER CLIENT' /
   AVGSAGC   'SA GROUP COUNSEL SVC-AVG COST PER CLIENT' /
   AVGSAIC   'SA INDIV COUNSEL SVC-AVG COST PER CLIENT' /
   AVGSTED   'STAFF EDUC SVC-AVG COST PER CLIENT' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   SDUNUM    -9 'BLANK' -8 'INAPPLICABLE' /
   PROVIDER  -9 'BLANK' -8 'INAPPLICABLE' /
   SDUFOCUS  -8 'INAPPLICABLE' 1 'AFTERCARE' 2 'CHILDREN' 3 'DETOX' 4 'HIV'
             5 'OUTPATIENT' 6 'RESIDENTIAL' 7 'WOMEN' /
   SDUTYPE   -9 'BLANK' -8 'INAPPLICABLE' 1 'TRANSITIONAL LIVING AFTERCARE'
             2 'AFTERCARE-WOMEN ONLY' 3 'OUTPATIENT-AFTERCARE (ADOLESCENT)'
             4 'OUTPATIENT-AFTERCARE (ADULT)'
             5 'RESIDENTIAL PPW-CHILDREN ONLY'
             6 'RESIDENTIAL WOMEN & CHILDREN-CHILDREN ONLY'
             7 'RESIDENTIAL-ADOLESCENT'
             8 'RESIDENTIAL LONG TERM PPW-CHILDREN ONLY'
             9 'RESIDENTIAL SHORT TERM PPW-CHILDREN ONLY'
             10 'RESIDENTIAL-DETOXIFICATION (ADULT)' 11 'HIV/AIDS OUTREACH'
             12 'HIV-AIDS OUTREACH-INTENSIVE'
             13 'HIV OUTPATIENT PREVENTION AND COUNSELING'
             14 'HIV OUTREACH AND PRETREATMENT' 15 'INTENSIVE OUTPATIENT'
             16 'METHADONE' 17 'OUTPATIENT' 18 'PARTIAL HOSPITAL'
             19 'OUTPATIENT-ADOLESCENT' 20 'OUTPATIENT-ADULT'
             21 'OUTPATIENT-WOMEN' 22 'RESIDENTIAL-ADULT'
             23 'RESIDENTIAL PPW-WOMEN ONLY'
             24 'RESIDENTIAL WOMEN & CHILDREN-WOMEN ONLY'
             25 'CENTRAL INTAKE PPW-WOMEN'
             26 'RESIDENTIAL LONG TERM PPW-WOMEN ONLY'
             27 'RESIDENTIAL SHORT TERM PPW-WOMEN ONLY' /
   FYEND     -9 'BLANK' -8 'INAPPLICABLE' /
   NUMCLNT   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTCOST   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTAFT    -9 'BLANK' -8 'INAPPLICABLE' /
   TOTCNET   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTCH     -9 'BLANK' -8 'INAPPLICABLE' /
   TOTCLED   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTTRAN   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTHIV    -9 'BLANK' -8 'INAPPLICABLE' /
   TOTHM     -9 'BLANK' -8 'INAPPLICABLE' /
   TOTHOUS   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTIASS   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTMDS    -9 'BLANK' -8 'INAPPLICABLE' /
   TOTMES    -9 'BLANK' -8 'INAPPLICABLE' /
   TOTMHGC   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTMHIC   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTPEVL   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTPSE    -9 'BLANK' -8 'INAPPLICABLE' /
   TOTRMGT   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTSAGC   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTSAIC   -9 'BLANK' -8 'INAPPLICABLE' /
   TOTSTED   -9 'BLANK' -8 'INAPPLICABLE' /
   UNAFT1    -9 'BLANK' -8 'INAPPLICABLE' /
   UNAFT3    -9 'BLANK' -8 'INAPPLICABLE' /
   UNAFT7    -9 'BLANK' -8 'INAPPLICABLE' /
   UNAFT10   -9 'BLANK' -8 'INAPPLICABLE' /
   UNAFT12   -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET4   -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET7   -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET9   -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET10  -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET16  -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET20  -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET21  -9 'BLANK' -8 'INAPPLICABLE' /
   UNCNET31  -9 'BLANK' -8 'INAPPLICABLE' /
   UNCH5     -9 'BLANK' -8 'INAPPLICABLE' /
   UNCLED7   -9 'BLANK' -8 'INAPPLICABLE' /
   UNTRAN16  -9 'BLANK' -8 'INAPPLICABLE' /
   UNTRAN29  -9 'BLANK' -8 'INAPPLICABLE' /
   UNTRAN31  -9 'BLANK' -8 'INAPPLICABLE' /
   UNTRAN7   -9 'BLANK' -8 'INAPPLICABLE' /
   UNTRAN8   -9 'BLANK' -8 'INAPPLICABLE' /
   UNHIV7    -9 'BLANK' -8 'INAPPLICABLE' /
   UNHIV22   -9 'BLANK' -8 'INAPPLICABLE' /
   UNHIV23   -9 'BLANK' -8 'INAPPLICABLE' /
   UNHIV28   -9 'BLANK' -8 'INAPPLICABLE' /
   UNHM16    -9 'BLANK' -8 'INAPPLICABLE' /
   UNHM18    -9 'BLANK' -8 'INAPPLICABLE' /
   UNHM19    -9 'BLANK' -8 'INAPPLICABLE' /
   UNHOUS18  -9 'BLANK' -8 'INAPPLICABLE' /
   UNIASS2   -9 'BLANK' -8 'INAPPLICABLE' /
   UNIASS31  -9 'BLANK' -8 'INAPPLICABLE' /
   UNMDS4    -9 'BLANK' -8 'INAPPLICABLE' /
   UNMDS7    -9 'BLANK' -8 'INAPPLICABLE' /
   UNMDS24   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMDS25   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMDS26   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMDS31   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMES15   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMES16   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMES31   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMHGC8   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMHGC11  -9 'BLANK' -8 'INAPPLICABLE' /
   UNMHIC8   -9 'BLANK' -8 'INAPPLICABLE' /
   UNMHIC11  -9 'BLANK' -8 'INAPPLICABLE' /
   UNPEV7    -9 'BLANK' -8 'INAPPLICABLE' /
   UNPSE13   -9 'BLANK' -8 'INAPPLICABLE' /
   UNPSE14   -9 'BLANK' -8 'INAPPLICABLE' /
   UNPSE15   -9 'BLANK' -8 'INAPPLICABLE' /
   UNPSE16   -9 'BLANK' -8 'INAPPLICABLE' /
   UNPSE31   -9 'BLANK' -8 'INAPPLICABLE' /
   UNRMGT4   -9 'BLANK' -8 'INAPPLICABLE' /
   UNRMGT7   -9 'BLANK' -8 'INAPPLICABLE' /
   UNRMGT31  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAGC8   -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAGC11  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAGC27  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAGC31  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAIC8   -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAIC11  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAIC27  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSAIC31  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSTED7   -9 'BLANK' -8 'INAPPLICABLE' /
   UNSTED16  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSTED17  -9 'BLANK' -8 'INAPPLICABLE' /
   UNSTED31  -9 'BLANK' -8 'INAPPLICABLE' /
   UCAFT1    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCAFT3    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCAFT7    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCAFT10   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCAFT12   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET4   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET7   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET9   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET10  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET16  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET20  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET21  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCNET31  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCH5     -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCCLED7   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCTRAN7   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCTRAN8   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCTRAN16  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCTRAN29  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCTRAN31  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCHIV22   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCHIV23   -9.0 'BLANK' -8.0 'INAPPLICABLE' /
   UCHIV28   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCHIV7    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCHM16    -9 'BLANK' -8 'INAPPLICABLE' /
   UCHM18    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCHM19    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCHOUS18  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCIASS2   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCIASS31  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMDS4    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMDS7    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMDS24   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMDS25   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMDS26   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMDS31   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMES15   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMES16   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMES31   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMHGC11  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCMHIC11  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCPEV7    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCPSE13   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCPSE14   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCPSE15   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCPSE16   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCPSE31   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCRMGT4   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCRMGT7   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCRMGT31  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAGC8   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAGC11  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAGC27  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAGC31  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAIC8   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAIC11  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAIC27  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSAIC31  -9 'BLANK' -8 'INAPPLICABLE' /
   UCSTED7   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSTED16  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSTED17  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   UCSTED31  -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   CSTPRCL   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGAFT    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGCNET   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGCH     -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGCLED   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGTRAN   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGHIV    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGHM     -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGHOUS   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGIASS   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGMDS    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGMES    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGMHGC   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGMHIC   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGPEVL   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGPSE    -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGRMGT   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGSAGC   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGSAIC   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   AVGSTED   -9.00 'BLANK' -8.00 'INAPPLICABLE' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     CASEID
     SDUNUM
     PROVIDER
     SDUFOCUS
     SDUTYPE
     FYEND
     NUMCLNT
     TOTCOST
     TOTAFT
     TOTCNET
     TOTCH
     TOTCLED
     TOTTRAN
     TOTHIV
     TOTHM
     TOTHOUS
     TOTIASS
     TOTMDS
     TOTMES
     TOTMHGC
     TOTMHIC
     TOTPEVL
     TOTPSE
     TOTRMGT
     TOTSAGC
     TOTSAIC
     TOTSTED
     UNAFT1
     UNAFT3
     UNAFT7
     UNAFT10
     UNAFT12
     UNCNET4
     UNCNET7
     UNCNET9
     UNCNET10
     UNCNET16
     UNCNET20
     UNCNET21
     UNCNET31
     UNCH5
     UNCLED7
     UNTRAN16
     UNTRAN29
     UNTRAN31
     UNTRAN7
     UNTRAN8
     UNHIV7
     UNHIV22
     UNHIV23
     UNHIV28
     UNHM16
     UNHM18
     UNHM19
     UNHOUS18
     UNIASS2
     UNIASS31
     UNMDS4
     UNMDS7
     UNMDS24
     UNMDS25
     UNMDS26
     UNMDS31
     UNMES15
     UNMES16
     UNMES31
     UNMHGC8
     UNMHGC11
     UNMHIC8
     UNMHIC11
     UNPEV7
     UNPSE13
     UNPSE14
     UNPSE15
     UNPSE16
     UNPSE31
     UNRMGT4
     UNRMGT7
     UNRMGT31
     UNSAGC8
     UNSAGC11
     UNSAGC27
     UNSAGC31
     UNSAIC8
     UNSAIC11
     UNSAIC27
     UNSAIC31
     UNSTED7
     UNSTED16
     UNSTED17
     UNSTED31
     UCHM16
     UCSAIC31 (LO THRU -1) /
     UCHIV23 (LO THRU -1.0) /
     UCAFT1
     UCAFT3
     UCAFT7
     UCAFT10
     UCAFT12
     UCCNET4
     UCCNET7
     UCCNET9
     UCCNET10
     UCCNET16
     UCCNET20
     UCCNET21
     UCCNET31
     UCCH5
     UCCLED7
     UCTRAN7
     UCTRAN8
     UCTRAN16
     UCTRAN29
     UCTRAN31
     UCHIV22
     UCHIV28
     UCHIV7
     UCHM18
     UCHM19
     UCHOUS18
     UCIASS2
     UCIASS31
     UCMDS4
     UCMDS7
     UCMDS24
     UCMDS25
     UCMDS26
     UCMDS31
     UCMES15
     UCMES16
     UCMES31
     UCMHGC11
     UCMHIC11
     UCPEV7
     UCPSE13
     UCPSE14
     UCPSE15
     UCPSE16
     UCPSE31
     UCRMGT4
     UCRMGT7
     UCRMGT31
     UCSAGC8
     UCSAGC11
     UCSAGC27
     UCSAGC31
     UCSAIC8
     UCSAIC11
     UCSAIC27
     UCSTED7
     UCSTED16
     UCSTED17
     UCSTED31
     CSTPRCL
     AVGAFT
     AVGCNET
     AVGCH
     AVGCLED
     AVGTRAN
     AVGHIV
     AVGHM
     AVGHOUS
     AVGIASS
     AVGMDS
     AVGMES
     AVGMHGC
     AVGMHIC
     AVGPEVL
     AVGPSE
     AVGRMGT
     AVGSAGC
     AVGSAIC
     AVGSTED (LO THRU -1.00) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
